Decentraleyes

General discussion, compatibility and contributed extensions.

Moderators: satrow, Lootyhoof, Andrew Gilbertson

User avatar
Decentraleyes
Apollo supporter
Apollo supporter
Posts: 37
Joined: Mon, 30 Nov 2015, 16:46
Location: Amsterdam
Contact:

Re: Decentraleyes

Postby Decentraleyes » Wed, 22 Mar 2017, 23:53

miroR wrote:[...] v1.3.7 [...] installs successfully...

Good to hear you were able to install the add-on! For others, the download that corresponds to the official listing should be installable.
miroR wrote:https://decentraleyes.org/test/ says: [...] The test resource could not be fetched locally or remotely.

This typically happens when you block the resource in question (e.g. using a different content blocker). Decentraleyes does not inject blocked content.

miroR
Moon lover
Moon lover
Posts: 79
Joined: Tue, 31 May 2016, 19:22

Re: Decentraleyes

Postby miroR » Thu, 23 Mar 2017, 05:50

Decentraleyes wrote:
miroR wrote:[...] v1.3.7 [...] installs successfully...

Good to hear you were able to install the add-on!

It's always an honor to read from you!
Decentraleyes wrote:
miroR wrote:https://decentraleyes.org/test/ says: [...] The test resource could not be fetched locally or remotely.

This typically happens when you block the resource in question (e.g. using a different content blocker). Decentraleyes does not inject blocked content.

I see... (BTW, that means that in my previous attempts it was probably the same issue, and that installing from source did probably go fine... As per:
( this same topic, 1 and 1/2 months ago )
viewtopic.php?f=46&t=10280&start=120#p105163
Hmmhh...
My setup is very similar to what I was advised (by kind user HaleSun) here:
Tracking protection and NSS SSL secrets logging (two security questions)?
viewtopic.php?f=26&t=12544&p=103866#p103695
I'm struggling to find time to investigate, have other obligations...
Anybody, a quick idea what it could be?

Regards!

User avatar
Decentraleyes
Apollo supporter
Apollo supporter
Posts: 37
Joined: Mon, 30 Nov 2015, 16:46
Location: Amsterdam
Contact:

Re: Decentraleyes

Postby Decentraleyes » Tue, 28 Mar 2017, 15:13

miroR wrote:Anybody, a quick idea what it could be?

Could you please check if any of your other content blockers (e.g. uBlock) is blocking access to ajax.googleapis.com?

miroR
Moon lover
Moon lover
Posts: 79
Joined: Tue, 31 May 2016, 19:22

Re: Decentraleyes

Postby miroR » Wed, 29 Mar 2017, 10:04

Decentraleyes wrote:
miroR wrote:Anybody, a quick idea what it could be?

Could you please check if any of your other content blockers (e.g. uBlock) is blocking access to ajax.googleapis.com?

Almost anything Schmoog the Schmoogle is what I would always like to live without. It's very possible that I blocked it in uBlock ...

(( Very busy right now, won't be able to do it for at least a few more hours... ))

Just one try first...

No luck. I disabled uBlock in about:addons. And visited:
https://decentraleyes.org/test/
but it still says the same usual (here):

The test resource could not be fetched locally or remotely.

Decentraleyes is not working as intended.

Very busy right now, won't be able to do it for at least a few more hours...

User avatar
Fedor2
Lunatic
Lunatic
Posts: 476
Joined: Mon, 11 Apr 2016, 01:26

Re: Decentraleyes

Postby Fedor2 » Wed, 29 Mar 2017, 10:42

I went to test and got The test resource could not be fetched as well
Pale moon 27.2.1 and Decentraleyes 1.3.7, so unclear what is wrong with, seems addon don't catch request. However in Firefox 52 it is fully operational

gorhill
Hobby Astronomer
Hobby Astronomer
Posts: 25
Joined: Thu, 19 Nov 2015, 15:08
Location: Atlantis

Re: Decentraleyes

Postby gorhill » Wed, 29 Mar 2017, 12:48

Tested with Pale Moon 27.2.1 + uBlock Origin 1.11.4 + Decentraleyes 1.3.7.

Result: "Decentraleyes is fully operational".

User avatar
Fedor2
Lunatic
Lunatic
Posts: 476
Joined: Mon, 11 Apr 2016, 01:26

Re: Decentraleyes

Postby Fedor2 » Wed, 29 Mar 2017, 23:55

gorhill
But Palemoon 27.03 with justoffs mod of 1.3.7 is fully operational. So this is rather incompatibility with pmkit.
Notice that i block almost all google, except youtube by hosts file. Did you check that requests to google are not passing through.

GreenGeek
Fanatic
Fanatic
Posts: 214
Joined: Sun, 11 Sep 2016, 16:36

Re: Decentraleyes

Postby GreenGeek » Thu, 30 Mar 2017, 02:13

I am not sure if the googleapis via Decentraleyes is working for me. It passes the test but shows as blocked for XHR in uMatrix log even though I have a rule to allow it. Not a big deal since I usually keep everything google blocked by default.

Anyway, I noticed this which seems odd:
xhr https://versioncheck.addons.mozilla.org ... -pm&appID={ec8030f7-c20a-464f-9b0e-13a3a9e97384}&...
Why is a custom PM version being checked/reported to Mozilla? Is it based on the extension code or PM's fault?

User avatar
New Tobin Paradigm
Banned user
Banned user
Posts: 4417
Joined: Tue, 09 Oct 2012, 19:37

Re: Decentraleyes

Postby New Tobin Paradigm » Thu, 30 Mar 2017, 02:43

I hate Pod Six. Tch, I don't even know why we have a Pod Six. Total suck Pod.
[ ニュー・トビン・パラダイム ]

dark_moon

Re: Decentraleyes

Postby dark_moon » Thu, 20 Apr 2017, 20:56


kutewarrior
Moongazer
Moongazer
Posts: 12
Joined: Thu, 10 Sep 2015, 11:44
Location: Abyss

Re: Decentraleyes

Postby kutewarrior » Mon, 01 May 2017, 16:35

Decentraleyes v1.3.7 installed via Pale Moon Add-ons Site causes the browser to hang when certain pages are loaded. Once I disable the extension, everything is smooth.

User avatar
Fedor2
Lunatic
Lunatic
Posts: 476
Joined: Mon, 11 Apr 2016, 01:26

Re: Decentraleyes

Postby Fedor2 » Mon, 01 May 2017, 22:55

There is a new decentraleyes 1.3.8 which works great with Pale moon 27.3.0

kutewarrior
Moongazer
Moongazer
Posts: 12
Joined: Thu, 10 Sep 2015, 11:44
Location: Abyss

Re: Decentraleyes

Postby kutewarrior » Tue, 02 May 2017, 15:12

Fedor2 wrote:There is a new decentraleyes 1.3.8 which works great with Pale moon 27.3.0


Where did you install 1.3.8 from ? :) Palemoon Addons still list 1.3.7 as the latest one.

User avatar
Fedor2
Lunatic
Lunatic
Posts: 476
Joined: Mon, 11 Apr 2016, 01:26

Re: Decentraleyes

Postby Fedor2 » Tue, 02 May 2017, 16:12

Mozilla addons site, if somehow is showed that addon is unavailable, don't bother just install.

User avatar
gracious1
Keeps coming back
Keeps coming back
Posts: 798
Joined: Sun, 15 May 2016, 05:00
Location: bitterly cold upstate NY
Contact:

Re: Decentraleyes

Postby gracious1 » Thu, 04 May 2017, 19:34

kutewarrior wrote:Where did you install 1.3.8 from ? :) Palemoon Addons still list 1.3.7 as the latest one.

For some reason, clicking on "Check for Updates" in the PM Add-ons Manager doesn't work. But if you install Decentraleyes from AMO as Fedor2 just said, then you can get the latest, and with the Blue Dot, too. (And be sure to click "Install Anyway" when AMO complains that it may not be compatible).
Last edited by gracious1 on Thu, 04 May 2017, 19:35, edited 2 times in total.
Image“Life is what happens to us while we are making other plans.” ― Allen Saunders

dark_moon

Re: Decentraleyes

Postby dark_moon » Thu, 04 May 2017, 19:35

v 1.3.8 isnt needed.
Changelog:
New features:
Added support for the Greek language.

Enhancements:
Applied a minor spelling change to the Dutch localization.

https://github.com/Synzvato/decentraleyes/releases

So 1.3.7 is fine: https://github.com/Synzvato/decentraley ... signed.xpi

User avatar
LimboSlam
Board Warrior
Board Warrior
Posts: 1012
Joined: Mon, 09 Jun 2014, 04:43
Location: USA

Re: Decentraleyes

Postby LimboSlam » Fri, 05 May 2017, 04:14

Why haven't we been updated to the newest version yet? Is there any compatibility issues with the Firefox version of this add-on? Should we let Decentraleyes know?
With Pale Moon by my side, surfing the web is quite enjoyable and takes my headaches away! :)
God is not punishing you, He is preparing you. Trust His plan, not your pain.#‎TrentShelton #‎RehabTime

fillerup
Fanatic
Fanatic
Posts: 231
Joined: Mon, 19 May 2014, 19:14
Location: Finland

Re: Decentraleyes

Postby fillerup » Fri, 05 May 2017, 04:41

LimboSlam wrote:Why haven't we been updated to the newest version yet? Is there any compatibility issues with the Firefox version of this add-on? Should we let Decentraleyes know?

fillerup wrote:
JustOff wrote:(this is known issue caused that AMO doesn't serves Pale Moon properly).

this explains why my addons lost the ability to auto update..

and here is Tobin's explanation of the matter

New Tobin Paradigm wrote:Well it is more complicated then that.

AMO will serve updates to Pale Moon IF the minimum Firefox application version is 24.9/27.9 or lower (depending if 26 or 27). This is totally expected.. Sure, fine..

The big ISSUE comes in where if extensions are set to a higher Firefox minimum version then lowered again say to target a theoretical Firefox version that falls in the rage of what Pale Moon claims to be to AMO. In this case, most if not all extensions will not serve because it was previously set higher.

This was a reported bug to Mozilla and does affect Firefox as much as it does us and they deemed it not important to fix. This issue seems to have been introduced around the same time the signing was added.

The fact is.. Eventually, we are not going to be able to rely on AMO as a fallback in the future for really anything. They are right now prepping to change their internal APIs for service requests and the question of preservation of something we can parse is in question. My guess is they will either half-ass it or not do it at all.

This is why Project Phoebus is so damned important and despite my general non-involvement in developmental aspects since last year I am continuing to advance our Add-ons Site software to take up these duties and make it easier for developers to be able to submit new add-ons.

And YES.. I am quite aware of the fact that I been saying this for going on two and a half years but if you notice.. It is actually happening now.

kutewarrior
Moongazer
Moongazer
Posts: 12
Joined: Thu, 10 Sep 2015, 11:44
Location: Abyss

Re: Decentraleyes

Postby kutewarrior » Sat, 06 May 2017, 10:01

Is anyone facing the issue of Decentraleyes 1.3.7 causing Pale Moon to hang when it visits certain sites ? Right now, whenever I access any link with the superuser.com domain, it will cause PM to hang.

User avatar
helloimustbegoing
Board Warrior
Board Warrior
Posts: 1781
Joined: Thu, 28 Jun 2012, 01:20

Re: Decentraleyes

Postby helloimustbegoing » Wed, 30 Aug 2017, 00:00

To my surprise, the other day Decentraleyes updated from version 1.3.7 to version 1.3.10. (I thought I had automatic updates disabled; it never updated to 1.3.8.) Is 1.3.10 compatible with Pale Moon? I had been using version 1.3.7 as there was an .xpi specifically marked for Pale Moon but not one for version 1.3.8, and neither is there an .xpi for 1.3.10 marked specifically for PM. The testing utility says it's working . . . but I'm a little concerned since no version since 1.3.7 is marked specifically for Pale Moon.


Return to “Browser extensions”

Who is online

Users browsing this forum: No registered users and 9 guests